From e411773c04bf1c95de9bedf451179d5ee50d5a45 Mon Sep 17 00:00:00 2001
From: Thorvald Natvig <slicer@users.sourceforge.net>
Date: Wed, 10 Feb 2010 18:43:17 +0100
Subject: [PATCH 2/2] Debian/kFreeBSD compile fixes

---
 src/mumble/mumble.pro       |   40 +++++++++++++++++-----------------------
 src/mumble11x/mumble11x.pro |   42 ++++++++++++++++++------------------------
 src/murmur/Murmur.ice       |    2 +-
 3 files changed, 36 insertions(+), 48 deletions(-)

diff --git a/src/mumble/mumble.pro b/src/mumble/mumble.pro
index 92e71d8..ebc163e 100644
--- a/src/mumble/mumble.pro
+++ b/src/mumble/mumble.pro
@@ -114,29 +114,6 @@ unix {
 
   PKGCONFIG *= openssl sndfile
 
-  contains(UNAME, Linux) {
-    !CONFIG(no-oss) {
-      CONFIG  *= oss
-    }
-
-    !CONFIG(no-alsa) {
-      CONFIG *= alsa
-    }
-
-    !CONFIG(no-speechd) {
-      CONFIG *= speechd
-    }
-
-    HEADERS *= GlobalShortcut_unix.h
-    SOURCES *= GlobalShortcut_unix.cpp TextToSpeech_unix.cpp Overlay_unix.cpp SharedMemory_unix.cpp
-    LIBS *= -lrt
-  }
-
-  !macx {
-    PKGCONFIG *= x11
-    LIBS *= -lXi
-  }
-
   macx {
     TARGET = Mumble
     ICON = ../../icons/mumble.icns
@@ -157,6 +134,23 @@ unix {
     LIBS += -framework CoreAudio -framework AudioUnit -framework AudioToolbox
     SOURCES += CoreAudio.cpp
     HEADERS += CoreAudio.h
+  } else {
+    HEADERS *= GlobalShortcut_unix.h
+    SOURCES *= GlobalShortcut_unix.cpp TextToSpeech_unix.cpp Overlay_unix.cpp SharedMemory_unix.cpp
+    PKGCONFIG *= x11
+    LIBS *= -lrt -lXi
+
+    !CONFIG(no-oss) {
+      CONFIG  *= oss
+    }
+
+    !CONFIG(no-alsa):contains(UNAME, Linux) {
+      CONFIG *= alsa
+    }
+
+    !CONFIG(no-speechd) {
+      CONFIG *= speechd
+    }
   }
 }
 
diff --git a/src/mumble11x/mumble11x.pro b/src/mumble11x/mumble11x.pro
index 4a2034a..51fb45c 100644
--- a/src/mumble11x/mumble11x.pro
+++ b/src/mumble11x/mumble11x.pro
@@ -114,30 +114,6 @@ unix {
   CONFIG *= link_pkgconfig
 
   PKGCONFIG *= openssl ogg
-
-  contains(UNAME, Linux) {
-    !CONFIG(no-oss) {
-      CONFIG  *= oss
-    }
-
-    !CONFIG(no-alsa) {
-      CONFIG *= alsa
-    }
-
-    !CONFIG(no-speechd) {
-      CONFIG *= speechd
-    }
-
-    HEADERS *= GlobalShortcut_unix.h
-    SOURCES *= GlobalShortcut_unix.cpp TextToSpeech_unix.cpp
-    LIBS *= -lrt
-  }
-
-  !macx {
-    PKGCONFIG *= x11
-    LIBS *= -lXi
-  }
-
   macx {
     TARGET = Mumble11x
     ICON = ../../icons/mumble.icns
@@ -159,6 +135,24 @@ unix {
     LIBS += -framework CoreAudio -framework AudioUnit -framework AudioToolbox
     SOURCES += CoreAudio.cpp
     HEADERS += CoreAudio.h
+  } else {
+    HEADERS *= GlobalShortcut_unix.h
+    SOURCES *= GlobalShortcut_unix.cpp TextToSpeech_unix.cpp
+    PKGCONFIG *= x11
+    LIBS *= -lrt -lXi
+
+    !CONFIG(no-oss) {
+      CONFIG  *= oss
+    }
+
+    !CONFIG(no-alsa):contains(UNAME, Linux) {
+      CONFIG *= alsa
+    }
+
+    !CONFIG(no-speechd) {
+      CONFIG *= speechd
+    }
+
   }
 }
 
diff --git a/src/murmur/Murmur.ice b/src/murmur/Murmur.ice
index 5e44a7a..6d23177 100644
--- a/src/murmur/Murmur.ice
+++ b/src/murmur/Murmur.ice
@@ -165,7 +165,7 @@ module Murmur
 		/** Reason for ban. */
 		string reason;
 		/** Date ban was applied in unix time format. */
-		long start;
+		int start;
 		/** Duration of ban. */
 		int duration;
 	};
-- 
1.6.6.1

